<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isTsIndexerType(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.ES6ReferenceImporter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil java.util.Collection&lt;com.intellij.lang.javascript.psi.ecma6.TypeScriptFunction&gt; getAllOverloadsWithImplementation(com.intellij.lang.javascript.psi.ecma6.TypeScriptFunction)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isAmbientModule(com.intellij.lang.javascript.psi.ecma6.TypeScriptModule)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;145.596.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.TypeScriptType[] getStubOrPsiTypeElements(com.intellij.extapi.psi.StubBasedPsiElementBase)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil void processExternalFileModuleNames(com.intellij.openapi.project.Project, com.intellij.lang.javascript.psi.ecmal4.JSQualifiedNamedElement, com.intellij.psi.PsiFile, com.intellij.psi.PsiElement, com.intellij.util.Processor&lt;com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil.ModuleInfo&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.4073.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationMappings java.util.Collection&lt;com.intellij.psi.PsiNamedElement&gt; getSourceElements(com.intellij.lang.javascript.psi.ecmal4.JSQualifiedNamedElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean hasImplicitExportForDeclarations(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.4668.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.TypeScriptType getStubOrPsiTypeElement(com.intellij.extapi.psi.StubBasedPsiElementBase, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3494.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil.ModuleInfo boolean isValid()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.4073.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptComparingUtil boolean areFunctionsSimilar(com.intellij.lang.javascript.psi.JSFunction, com.intellij.lang.javascript.psi.JSFunction, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil Q removeDuplicates(Q, java.util.function.Function&lt;T,com.intellij.psi.PsiElement&gt;, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil void showError(com.intellij.openapi.project.Project, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2822.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.TypeScriptType getParentTypeViaUnionsAndIntersections(com.intellij.lang.javascript.psi.ecma6.TypeScriptType, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil boolean isContextAcceptable(com.intellij.psi.PsiElement, com.intellij.lang.javascript.modules.JSImportPlaceInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isThisParameter(com.intellij.lang.javascript.psi.JSParameterItem)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.1024.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.JSType getTypeFromDeclaration(com.intellij.extapi.psi.StubBasedPsiElementBase)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil java.lang.String getNameFromIdentifierOwner(com.intellij.lang.javascript.psi.JSNamedElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypesGlobalPathMapping.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypesModulePathMapping com.intellij.openapi.vfs.VirtualFile findInNodeModules(com.intellij.openapi.vfs.VirtualFile, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3975.18&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAddImportExecutor com.intellij.psi.PsiElement getRawExternalModule(com.intellij.lang.javascript.psi.JSElement, com.intellij.psi.PsiElement, com.intellij.lang.javascript.psi.JSQualifiedName)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil com.intellij.lang.ecmascript6.psi.JSExportAssignment getExportAssignment(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil java.lang.String getPathText(java.util.regex.Matcher)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil.JSReferencePlaceInfo com.intellij.openapi.vfs.VirtualFile getFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3780.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil boolean processModuleNameUsingNodeModules(com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile, com.intellij.psi.PsiFile, com.intellij.lang.javascript.psi.ecmal4.JSQualifiedNamedElement, com.intellij.util.Processor&lt;com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil.ModuleInfo&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.4424.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptReferencePathValidator void checkReferences(com.intellij.psi.PsiComment, com.intellij.lang.annotation.AnnotationHolder, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.1120.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.JSTypeDeclaration unparenthesizeType(com.intellij.lang.javascript.psi.ecma6.JSTypeDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypesModulePathMapping">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.JSParameter getThisParameter(com.intellij.lang.javascript.psi.JSFunction)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAddImportExecutor boolean createImportOrUseExisting(java.lang.String, com.intellij.psi.PsiElement, java.lang.String, com.intellij.lang.ecmascript6.psi.impl.ES6ImportPsiUtil.ImportExportType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2103.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isFromAugmentationModule(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.3095.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isLiteralModuleAugmentationName(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.5644.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAddImportExecutor TypeScriptAddImportExecutor(java.lang.String, com.intellij.openapi.editor.Editor, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3780.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isAmbientContext(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.6262.58&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.JSType getThisParameterType(com.intellij.lang.javascript.psi.JSFunction)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3780.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean hasExportStatements(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.4668.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil java.util.Collection&lt;? extends com.intellij.lang.javascript.psi.JSFunctionItem&gt; getAllOverloadSignatures(com.intellij.lang.javascript.psi.JSFunctionItem)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.TypeScriptTypeParameter[] getTypeParametersForOwner(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.3198.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAddImportExecutor void execute(com.intellij.lang.javascript.psi.JSElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptExternalModuleReference java.lang.String getReferenceText()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;145.256.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptExternalModuleReference java.util.Collection&lt;com.intellij.psi.PsiElement&gt; multiResolve()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;145.256.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypesGlobalPathMapping">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3975.18&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationMappings java.util.Collection&lt;? extends com.intellij.psi.PsiElement&gt; getJSSourceElementsOrSearchableStub(com.intellij.lang.javascript.psi.ecmal4.JSQualifiedNamedElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3531.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isTopLevelContainerMember(com.intellij.lang.javascript.psi.stubs.impl.JSQualifiedObjectStubBase&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isPlaceRuntimeOnly(com.intellij.psi.PsiElement, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.4445.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil.JSReferencePlaceInfo JSReferencePlaceInfo(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationMappings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean returnTypeAnnotationForbidden(com.intellij.lang.javascript.psi.JSElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3727.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isTypeofImport(com.intellij.lang.javascript.psi.ecma6.TypeScriptSingleType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil TYPESCRIPT_REFERENCE_PATH">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil java.lang.String getDialogTitle()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationMappings java.util.Collection&lt;com.intellij.lang.javascript.psi.ecmal4.JSQualifiedNamedElement&gt; getDeclarationElements(com.intellij.psi.PsiNamedElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationModulePathMapping">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAddImportExecutor com.intellij.lang.ecmascript6.psi.impl.ES6ImportPsiUtil.ImportExportType getImportType(com.intellij.lang.javascript.psi.JSElement, com.intellij.psi.PsiElement, com.intellij.lang.javascript.psi.JSQualifiedName)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationMappings java.util.Collection&lt;? extends com.intellij.psi.PsiElement&gt; getJSSourceElements(com.intellij.lang.javascript.psi.ecmal4.JSQualifiedNamedElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil java.util.Collection&lt;com.intellij.lang.javascript.psi.ecma6.TypeScriptFunction&gt; getAllOverloadsWithImplementation(com.intellij.lang.javascript.psi.ecma6.TypeScriptFunction, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.TypeScriptType getStubOrPsiTypeElement(com.intellij.extapi.psi.StubBasedPsiElementBase)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptExcludeUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2757.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isFieldParameter(com.intellij.lang.javascript.psi.JSParameter)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;145.596.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil java.lang.String createTypeScriptImportText(com.intellij.psi.PsiElement, com.intellij.lang.javascript.modules.imports.JSImportDescriptor, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean elementsPossiblyContainDuplicates(java.util.List&lt;? extends com.intellij.psi.ResolveResult&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isExportedFromGlobalModule(com.intellij.lang.ecmascript6.psi.ES6ImportExportSpecifier)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isTypeSignature(com.intellij.lang.javascript.psi.JSFunction)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAddImportExecutor boolean executeForImportType(com.intellij.lang.javascript.psi.JSElement, com.intellij.lang.ecmascript6.psi.impl.ES6ImportPsiUtil.ImportExportType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isAugmentationModule(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.3095.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.JSTypeDeclaration[] getNestedTypeArguments(java.lang.Object)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil java.lang.String buildElementText(com.intellij.psi.PsiElement, java.util.List&lt;? extends com.intellij.lang.javascript.modules.imports.JSImportCandidate&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil java.util.List&lt;com.intellij.lang.javascript.psi.resolve.ResolveResultSink.JSResolveResultForSymbolProcessor&gt; removeCompileTimeTypes(java.util.List&lt;com.intellij.lang.javascript.psi.resolve.ResolveResultSink.JSResolveResultForSymbolProcessor&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil boolean isExportedElement(com.intellij.psi.PsiElement, com.intellij.lang.javascript.modules.JSImportPlaceInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.TypeScriptType getPsiTypeElement(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.psi.PsiElement getPsiElementByRange(com.intellij.psi.PsiFile, com.intellij.openapi.util.TextRange)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypesGlobalPathMapping Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isImplementationAndOverloadFunction(com.intellij.psi.PsiElement, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isNamespaceDefinition(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.1812.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAddImportExecutor boolean tryToUseExistingImport(java.lang.String, com.intellij.psi.PsiElement, com.intellij.lang.ecmascript6.psi.impl.ES6ImportPsiUtil.ImportExportType, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2103.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil.ModuleInfo java.lang.String getModuleName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.4073.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptAutoImportUtil boolean isSelfExportedAugmentationModule(com.intellij.lang.javascript.psi.ecma6.TypeScriptModule)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isTopLevelThreeSlashComment(com.intellij.psi.PsiComment)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil java.lang.String getMemberName(com.intellij.lang.javascript.psi.ecma6.JSComputedPropertyNameOwner)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil boolean isObjectBuiltInTypeProperty(com.intellij.lang.javascript.psi.JSRecordType.TypeMember)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationModulePathMapping com.intellij.openapi.vfs.VirtualFile getMappedModules(java.lang.String, com.intellij.lang.javascript.modules.JSNodeModuleStructure, com.intellij.lang.javascript.psi.ecmal4.JSQualifiedNamedElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.psi.PsiElement getParentSkipTypeParentheses(com.intellij.lang.javascript.psi.ecma6.JSTypeDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.TypeScriptFunction getOverloadImplementation(com.intellij.lang.javascript.psi.ecma6.TypeScriptFunction)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationModulePathMapping boolean isAvailable(java.lang.String, com.intellij.lang.javascript.modules.JSNodeModuleStructure)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptExcludeUtil void updateSourcesAndRestore(com.intellij.openapi.Disposable, com.intellij.openapi.project.Project, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptPsiUtil com.intellij.lang.javascript.psi.ecma6.TypeScriptFunction getLastOverload(com.intellij.lang.javascript.psi.ecma6.TypeScriptFunction)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptComparingUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2941.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptDeclarationMappings SOURCE_FILE_MARKER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.3095.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.psi.TypeScriptComparingUtil boolean areVariablesSimilar(com.intellij.lang.javascript.psi.JSFieldVariable, com.intellij.lang.javascript.psi.JSFieldVariable, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
</root>
